package com.pj;

import com.pj.project.tb_person_visit_record.TbPersonVisitRecordService;
import com.pj.project.tb_terminal.bo.MonitorDTO;
import com.pj.project.tb_terminal.TbTerminalService;
import com.pj.utils.sg.AjaxJson;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

@RestController
@RequestMapping("monitor")
public class MonitorController {

    @Resource
    private TbPersonVisitRecordService tbPersonVisitRecordService;

    @Resource
    private TbTerminalService tbTerminalService;

    @RequestMapping("watch")
    public AjaxJson monitor(){
        return AjaxJson.getSuccessData(tbPersonVisitRecordService.getMonitor());
    }
    @RequestMapping("terminal")
    public AjaxJson monitorTerminal(){
      List<MonitorDTO>list= tbTerminalService.getMonitor();
        return AjaxJson.getSuccessData(list);
    }
}
