package com.pj.project.re_mini_user_car_filing;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import com.pj.utils.so.*;

/**
 * Service: re_mini_user_car_filing -- 微信端用户与车辆备案中间表
 * @author qzyReal 
 */
@Service
public class ReMiniUserCarFilingService extends ServiceImpl<ReMiniUserCarFilingMapper, ReMiniUserCarFiling> implements IService<ReMiniUserCarFiling>{

	/** 底层 Mapper 对象 */
	@Autowired
	ReMiniUserCarFilingMapper reMiniUserCarFilingMapper;


	/** 增 */
	public void add(ReMiniUserCarFiling r){
	this.save( r);
	}

	/** 删 */
	public void delete(Long id){
	this.removeById(id);
	}

	/** 改 */
	public void update(ReMiniUserCarFiling r){
	this.updateById(r);
	}

	/** 查 */
	public ReMiniUserCarFiling getById(Long id){
	return super.getById(id);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */
	public List<ReMiniUserCarFiling> getList(SoMap so) {
		return reMiniUserCarFilingMapper.getList(so);	
	}
	

}
